<?php
    session_start();

	# Incluyendo librerias necesarias #
    require "./code128.php";
    require ('../functions/ticket_nota.php');
    
    $id_nota = $_SESSION['cveNota'];
    $nota = get_nota($id_nota);

    $clasificaciones1 = clasificaciones($id_nota);
    $campo1 = get_productos_nota1($id_nota);
    $productos_filt = filtrar_por_clasificaciones($campo1, $clasificaciones1[0]);
    $comensal1 = $productos_filt[0]['COMENSAL'];
    
    $clasificaciones = clasificaciones2($id_nota);
    $campo = get_ultimos_productos_nota2($id_nota);
    

    $pdf = new PDF_Code128('P','mm',array(80,180));
    $pdf->SetMargins(0,10,12);

    $no_nota = $nota[0]['CLAVE'];
    $tipo_venta = $nota[2]['ZONA'];
    $mesero = $nota[1]['NOMBRE'];
    $m=$nota[3]['MESA']; // Numero de mesa
    
    date_default_timezone_set('America/Mexico_City');
    $hoy=new DateTime();
    
    foreach ($clasificaciones as $clasificacion) {
        $pdf->AddPage();
        
        # Encabezado y datos de la empresa #
        $pdf->SetFont('Arial','B',12);
        $pdf->Ln(2);
        $pdf->MultiCell(0,4,utf8_decode("$clasificacion"),0,'C',false);
        $pdf->SetFont('Arial','',8);
        $pdf->Ln(1);
        $pdf->Cell(0,4,utf8_decode("-------------------------------------------------------------------"),0,0,'C');
        $pdf->Ln(3);
        $pdf->SetFont('Arial','',10);
        
        $pdf->Cell(30,4,utf8_decode($hoy->format('d/m/Y')),0,0,'C');
        $pdf->SetFont('Arial','B',10);
        $pdf->MultiCell(30,5,utf8_decode(strtoupper("Nota: $no_nota")),0,'C',false);
        //$pdf->Ln(1);
        $pdf->SetFont('Arial','',10);
        $pdf->Cell(25,3,utf8_decode($hoy->format('H:i:s')),0,0,'C');
        
        $pdf->Ln(3);
        $pdf->SetFont('Arial','',10);
        $pdf->Cell(50,5,utf8_decode("Tipo Venta: $tipo_venta"),0,0,'C');
        $pdf->Cell(10,5,utf8_decode("M: $m"),0,0,'C');
        
        $pdf->Ln(4);
        $pdf->MultiCell(0,5,utf8_decode(strtoupper("Mesero: $mesero")),0,'C',false);
        $pdf->Ln(1);
        $pdf->SetFont('Arial','B',10);
        $pdf->MultiCell(0,5,utf8_decode("1er Comensal: $comensal1"),0,'C',false);
        $pdf->Ln(1);
        $pdf->SetFont('Arial','',8);
        $pdf->Cell(0,4,utf8_decode("-------------------------------------------------------------------"),0,0,'C');
        $pdf->Ln(3);
        $pdf->SetFont('Arial','B',9);
    
        # Tabla de productos #
        $pdf->Cell(10,4,utf8_decode("Cant"),0,0,'C');
        $pdf->Cell(30,4,utf8_decode("Descripcion"),0,0,'C');
        $pdf->Ln(2);
        
        /*----------  Detalles de la tabla  ----------*/
        $productos_filtrados = filtrar_por_clasificaciones($campo, $clasificacion);
        foreach ($productos_filtrados as $producto) {
            $pdf->SetFont('Arial','B',10);
            $pdf->Ln(3);
            $tiempo = "$producto[TIEMPO]";
            $comentario = "$producto[COMENTARIO]";
            $comensal ="$producto[COMENSAL]";
            $pdf->Cell(10,4,utf8_decode("$producto[CANTIDAD]"),0,0,'C');
            
            $pdf->MultiCell(0,4,utf8_decode("$producto[PRO_NOMBRE]"),0,'C',false);
            
            $pdf->MultiCell(0,4,utf8_decode("Comensal: $comensal"),0,'C',false);
            $pdf->Ln(1);
            $pdf->MultiCell(0,4,utf8_decode("$comentario"),0,'C',false);
            $pdf->Cell(120,4,utf8_decode("$tiempo"),0,0,'C');
            /*----------  Fin Detalles de la tabla  ----------*/
            
            $pdf->Ln(2);
            /*----------  Detalles de la comanda  ----------*/
            
            
        }
    }
    
    # Nombre del archivo PDF #
    $pdf->Output("I","$no_nota.pdf",true);